For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

User profile management and retrieval

Get multiple profiles

post
/profiles

Retrieves multiple user profiles by their IDs (Ethereum addresses). Supports conditional requests using If-Modified-Since header to avoid unnecessary data transfer.

Header parameters
If-Modified-SincestringOptional

Only return profiles modified after this timestamp (HTTP date format)

Example: Wed, 21 Oct 2015 07:28:00 GMT
Body
idsstring[]Required

Array of Ethereum addresses (profile IDs)

Example: ["0x1234...","0x5678..."]
Responses
200

List of profiles

application/json
post/profiles
POST /lambdas/profiles HTTP/1.1
Host: peer.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "ids": [
    "0x1234...",
    "0x5678..."
  ]
}
[
  {
    "avatars": [
      {
        "userId": "text",
        "email": "text",
        "name": "text",
        "hasClaimedName": true,
        "description": "text",
        "ethAddress": "text",
        "version": 1,
        "avatar": {},
        "tutorialStep": 1,
        "interests": [
          "text"
        ]
      }
    ]
  }
]

Get a single profile

get
/profiles/{id}

Retrieves a user profile by their ID (Ethereum address)

Path parameters
idstringRequired

The Ethereum address of the profile

Example: 0x1234567890abcdef1234567890abcdef12345678
Responses
200

Profile found

application/json
get/profiles/{id}
GET /lambdas/profiles/{id} HTTP/1.1
Host: peer.decentraland.org
Accept: */*
{
  "avatars": [
    {
      "userId": "text",
      "email": "text",
      "name": "text",
      "hasClaimedName": true,
      "description": "text",
      "ethAddress": "text",
      "version": 1,
      "avatar": {},
      "tutorialStep": 1,
      "interests": [
        "text"
      ]
    }
  ]
}

Last updated